cancel
Showing results for 
Search instead for 
Did you mean: 

Install problem glob()

SOLVED

Install problem glob()

Hello i upload files magento 2 and i have a error

"

Autoload error

glob() returned error while searching in '/app/code/*/*/cli_commands.php'

"

 

can you help in finding my problem ?

10 REPLIES

Re: Install problem glob()

Same error here. I tried every CE package available, tried a composer install, did everything according to the manual, did a setup from the command line (which was successful) but I keep getting this error as well... Very frustrating...

Re: Install problem glob()

Same here... I have traced it to the file /vendor/composer/autoload_files.php lines 89-90. Composer is trying to load these modules but they are missing in the installation package. You will probably need to install sample data http://devdocs.magento.com/guides/v2.0/install-gde/install/cli/install-cli-sample-data.html. I tried to installl it but I've encountered some problems with composer.

 

Here is the exception dump - http://pastebin.com/Yt8T6u5T.

Re: Install problem glob()

I noticed that all the modules are missing in the first public release of v2.0 I would suspect that maybe composer would be able to download them by issuing "composer install" but composer doesnt do anything then. So I tried to get the developer version with composer and I get this error:

 

[ErrorException]
file_get_contents(app/etc/NonComposerComponentRegistration.php): failed to open stream: No such file or directory

 

This is right after

Writing lock file
Generating autoload file

 

Re: Install problem glob()

If I first download the ZIP from github, unzip it on the server. Run composer install I get no error message but when I open the installation in my webbrowser I get: glob() returned error while searching in '/var/www/vhosts/MY_DOMAIN/MY_SUBDOMAIN/lib/internal/*/*/*/registration.php'

Re: Install problem glob()

I was running it with PHP 5.5.9. If I run it with the same config but PHP 5.6.14 it's working

Re: Install problem glob()

So,

we solved the problems! Smiley LOL

Re: Install problem glob()

php 5.6.14 solves the problem! Thanks You !

Re: Install problem glob()

I have PHP in version 5.5.7,  I also have the same error.
What can I do? On my server, I can not set a higher PHP.

 

I'll just add that to one of my domains installation started (a few days). On the next domain no longer wants.

 

Please help.

Re: Install problem glob()

I'm on php 5.5.9 and it doesn't work with the same error. Running Ubuntu 14.04 so cannot upgrade to php 5.6, plus it would break other sites on this server.

This is a brand new install of magento 2.0